#include <stdio.h>
#include <stdlib.h>
#include <math.h>
#include <errno.h>
#include <locale.h>
int main(int argc, char **argv) {
  double r = 0;
  char *p;
  FILE *f;
  double min = 1.0/0.0, max = -1.0/0.0, avg = 0, x, y;
  unsigned long int n = 0;
  setlocale(LC_ALL, NULL);
  if (argc < 2) {
    printf("nvod: %s vstup [relativn odchylka]\n", argv[0]);
    return 1;
  }
  if (argc >= 3) { // p dno
    errno = 0;
    r = strtod(argv[2], &p);
    if (p == argv[2] || errno != 0 || r < 0) {
      printf("Hodnota relativn odchylky '%s' je chybn.\n", argv[2]);
      return 2;
    }
  }
  if ((f = fopen(argv[1], "r")) == NULL) {
    printf("Nelze otevt soubor '%s'\n", argv[1]);
    return 3;
  }
  while (!feof(f)) {
    if (2 != fscanf(f, "%lf %lf", &x, &y)) continue; // chyba
    if (min > y) min = y;
    if (max < y) max = y;
    avg += y;
    n++;
  }
  if (n == 0) {
    printf("Soubor je przdn, i neobsahuje platn data.\n");
    return 0;
  }
  avg /= n;
  printf("Minimum: %lf\nMaximum: %lf\nPoet: %lu\nAritmetick prmr: %lf\n"
         "Interval hodnot: [%lf,%lf]\n", min,max,n,avg,(1-r)*avg,(1+r)*avg);
  rewind(f);
  n = 0;
  while (!feof(f)) {
    if (2!=fscanf(f, "%lf %lf", &x, &y) || (1-r)*avg>y || (1+r)*avg<y) continue;
    printf("%lf\t\t%lf\n", x, y);
    n++;
  }
  if (n) printf("Vyhovuje %lu hodnot.\n", n); else printf("dn hodnota.\n");
  fclose(f);
  return 0;
}
