#include <stdio.h>

/* spot e pomoc Taylorovy ady: e^x = x^0/0!+x^1/1!+x^2/2!+x^3/3!... */
double exp1(void) {
  double e0 = 0, e1 = 2, fakt = 1.0;
  int i;
  for (i = 2; e0 != e1; i++) {
    e0 = e1;
    e1 += 1.0 / (fakt *= i);
  }
  return e1;
}

/* tot, jen s tm rozdlem, e pot e^x a ne jen e^1 */

double expx(double x) {
  double e0 = 0, e1 = 1+x, x2 = x, fakt = 1.0;
  int i;
  for (i = 2; e0 != e1; i++) {
    e0 = e1;
    e1 += (x2 *= x) / (fakt *= i);
  }
  return e1;
}

int main() {
  printf("e       = %.20lf\n"
         "e^(1/2) = %.20lf\n"
         "e^2     = %.20lf\n", exp1(), expx(0.5), expx(2.0));
  return 0;
}
