#ifndef __bitmap_write_h
#define __bitmap_write_h

#include "bitmap.h"

#define BW_OK                 0
#define BW_BAD_BITMAP         -1
#define BW_BAD_FILE           -2
#define BW_UNSUPPORTED_FORMAT -3
#define BW_AUX_STRUCT_ERROR   -4
#define BW_INVALID_METHOD_ID  -5

#ifdef __cplusplus
extern "C" {
#endif

/* zpis do PNG pomoc libpng */
int bitmap_write_png(const BITMAP *bmp, FILE *f);

/* zpis do JPEG pomoc libjpeg */
int bitmap_write_jpeg(const BITMAP *bmp, FILE *f);

/* obecn zpis */
#define BW_PNG  1
#define BW_JPEG 2
int bitmap_write(const BITMAP *bmp, FILE *f, int type);
int bitmap_write_match_type(const char *type);

#ifdef __cplusplus
}
#endif

#endif /* __bitmap_write_h */
