#ifndef __bitmap_read_h
#define __bitmap_read_h

#include "bitmap.h"

#define BR_OK                 0
#define BR_BAD_BITMAP         -1
#define BR_BAD_FILE           -2
#define BR_UNSUPPORTED_FORMAT -3
#define BR_AUX_STRUCT_ERROR   -4
#define BR_INVALID_FORMAT     -5
#define BR_OUT_OF_MEMORY      -6

#ifdef __cplusplus
extern "C" {
#endif

/* read PNG into bitmap */
int bitmap_read_png(BITMAP **bmp, FILE *f);

#ifdef __cplusplus
}
#endif

#endif /* __bitmap_read_h */
