#ifndef __bitmap_libart_h
#define __bitmap_libart_h

#include <libart_lgpl/libart.h>

#include "bitmap.h"

#define RP_OK        0
#define RP_NO_BITMAP -1

/* pevod vektorov struktury na obrzek */
int bitmap_artsvp_render_path(BITMAP *bmp, const ArtSVP *path,
  unsigned long int color);

/* vytvoen vektorovho popisu krunice */
ArtSVP *artsvp_circle(unsigned int x, unsigned int y, unsigned int r,
  int filled);

#define BM_CIRCLE_OK     0
#define BM_CIRCLE_FAILED -1
/* pevod vektorovho popisu krunice na rastrov obrzek */
int bitmap_circle_artsvp(BITMAP *bmp, unsigned int x, unsigned int y,
  unsigned int r, int filled, unsigned long int color);

#endif /* __bitmap_libart_h */
