#include <stdio.h>
#include <sys/types.h>
#include <sys/socket.h>
#include <arpa/inet.h>


int main() {
  char *addr = "127.0.0.1";
  int port = 8000;
  struct in_addr ia;
  struct sockaddr_in si;
  if (inet_pton(AF_INET, addr, &ia) < 0) { perror("address"); return 1; }
  int s;
  if ((s = socket(PF_INET, SOCK_STREAM, IPPROTO_TCP)) < 0) { perror("socket"); return 2; }
  si.sin_family = AF_INET;
  si.sin_port = htons(port);
  si.sin_addr = ia;
  if (connect(s, (struct sockaddr *) &si, sizeof(struct sockaddr_in)) < 0) {
    perror("connect");
    return 3;
  }
  shutdown(s, SHUT_RDWR);
  close(s);
  return 0;
}
